diff --git a/web/pgadmin/static/js/Dialogs/ConnectServerContent.jsx b/web/pgadmin/static/js/Dialogs/ConnectServerContent.jsx
index fa541531..bd38d4f4 100644
--- a/web/pgadmin/static/js/Dialogs/ConnectServerContent.jsx
+++ b/web/pgadmin/static/js/Dialogs/ConnectServerContent.jsx
@@ -47,8 +47,8 @@ export default function ConnectServerContent({closeModal, data, onOK, setHeight}
   useEffect(()=>{
     setTimeout(()=>{
       firstEleRef.current && firstEleRef.current.focus();
-    }, 275);
-  }, []);
+    }, 350);
+  }, [firstEleRef.current]);
 
   useEffect(()=>{
     setHeight?.(containerRef.current?.offsetHeight);
diff --git a/web/pgadmin/static/js/Dialogs/MasterPasswordContent.jsx b/web/pgadmin/static/js/Dialogs/MasterPasswordContent.jsx
index dad8a1c5..2cb73f50 100644
--- a/web/pgadmin/static/js/Dialogs/MasterPasswordContent.jsx
+++ b/web/pgadmin/static/js/Dialogs/MasterPasswordContent.jsx
@@ -49,8 +49,8 @@ export default function MasterPasswordContent({ closeModal, onResetPassowrd, onO
   useEffect(() => {
     setTimeout(() => {
       firstEleRef.current && firstEleRef.current.focus();
-    }, 275);
-  }, []);
+    }, 350);
+  }, [firstEleRef.current]);
 
   useEffect(() => {
     setHeight?.(containerRef.current?.offsetHeight);
diff --git a/web/pgadmin/static/js/SchemaView/index.jsx b/web/pgadmin/static/js/SchemaView/index.jsx
index 9d59fc57..827af565 100644
--- a/web/pgadmin/static/js/SchemaView/index.jsx
+++ b/web/pgadmin/static/js/SchemaView/index.jsx
@@ -472,7 +472,7 @@ function SchemaDialogView({
       if(message) {
         setFormErr({
           name: path,
-          message: message,
+          message: _.escape(message),
         });
       }
     });
@@ -642,7 +642,7 @@ function SchemaDialogView({
         console.error(err);
         setFormErr({
           name: 'apierror',
-          message: parseApiError(err),
+          message: _.escape(parseApiError(err)),
         });
       }).finally(()=>{
         if(checkIsMounted()) {
